# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:catalog_conn) do
  include EasyType

  desc <<-DESC
    Specify the connect string to the recovery catalog

    ora_rman_config { 'SID':
      ...
      catalog_conn => 'rman_cat/mypassword@TNS',
      ...
    }
  DESC

  data_type('Optional[String[1]]')
end
